<?php include '../../include/navbar.html'; ?>
<?php include 'CRUD/all.php'; ?>
<!-- Se incorpora la logica para detectar si existe una sesion activa -->
<?php if ((!isset ($_SESSION["correo"]) Or $_SESSION['rol']==0)) {
    header("Location:../../index.html");
};?>

<div class='container-fluid'>
    <div class="row p-3">
        <h1>Administración de Usuarios</h1>
    </div>
    <div class="row p-3">
        <div class="col">
            <!-- Se muestran aquí los datos de cada usuario -->
            <div class="container shadow-lg rounded m-auto p-5">
                <table class="table">
                    <thead>
                        <tr>
                            <th scope="col">ID</th>
                            <th scope="col">Nombre</th>
                            <th scope="col">Apellido</th>
                            <th scope="col">Correo</th>
                            <th scope="col">Acciones</th>
                        </tr>
                    </thead>
                    <tbody>
                        <!-- Acciones llevan el ID del usuario -->
                        <?php
                        for ($i=$first_id; $i <$last_id ; $i++)
                        {
                            if (isset ($ids[$i])){
                                echo"<tr>
                                    <td> $ids[$i]</td>
                                    <td> $nombres[$i]</td>
                                    <td> $apellidos[$i]</td>
                                    <td> $correos[$i]</td>
                                    <td><a href=/admin/users/read.html?id=$ids[$i] class='btn btn-primary'>Ver <i class='fas fa-search'></i></a>
                                    <a href=/admin/users/update.html?id=$ids[$i] class='btn btn-warning'>Editar <i class='fas fa-edit'></i></a>";
                                    
                                    if ($ids[$i]!=$_SESSION['id']){
                                        echo "<a href=/admin/users/CRUD/delete.php?id=$ids[$i] class='btn btn-danger'>Borrar <i class='fas fa-trash-alt'></i></a>";   
                                    
                                    echo "<td><tr>";
                                    }
                                }
                        }
                        ?>
                    </tbody>
                </table>
                <a href="/admin/users/create.html" class="btn btn-success">Nuevo <i class="fas fa-plus"></i></a>
            </div>
        </div>
    </div>
</div>
</body>

</html>
